gcc 订阅
GCC(GNU Compiler Collection,GNU编译器套件)是由GNU开发的编程语言译器。GNU编译器套件包括C、C++、 Objective-C、 Fortran、Java、Ada和Go语言前端,也包括了这些语言的库(如libstdc++,libgcj等。) [1]  GCC的初衷是为GNU操作系统专门编写的一款编译器。GNU系统是彻底的自由软件。此处,“自由”的含义是它尊重用户的自由 [2]  。 展开全文
GCC(GNU Compiler Collection,GNU编译器套件)是由GNU开发的编程语言译器。GNU编译器套件包括C、C++、 Objective-C、 Fortran、Java、Ada和Go语言前端,也包括了这些语言的库(如libstdc++,libgcj等。) [1]  GCC的初衷是为GNU操作系统专门编写的一款编译器。GNU系统是彻底的自由软件。此处,“自由”的含义是它尊重用户的自由 [2]  。
信息
软件授权
GNU通用公共许可证(GNU GPL)
软件名称
GNU Compiler Collection
更新时间
2019-02-22
编写语言
C/C++
软件版本
8.3.0
软件平台
类Unix操作系统
软件语言
多国语言
开发商
Free Software Foundation (自由软件基金会)
gcc简介
GCC是以GPL许可证所发行的自由软件,也是GNU计划的关键部分。GCC的初衷是为GNU操作系统专门编写一款编译器,现已被大多数类Unix操作系统(如Linux、BSD、MacOS X等)采纳为标准的编译器,甚至在微软的Windows上也可以使用GCC。GCC支持多种计算机体系结构芯片,如x86、ARM、MIPS等,并已被移植到其他多种硬件平台 [1]  。GCC原名为GNU C语言编译器(GNU C Compiler),只能处理C语言。但其很快扩展,变得可处理C++,后来又扩展为能够支持更多编程语言,如Fortran、Pascal、Objective -C、Java、Ada、Go以及各类处理器架构上的汇编语言等,所以改名GNU编译器套件(GNU Compiler Collection) [1]  。
收起全文
精华内容
参与话题
问答
  • Ubuntu 安装gcc

    千次阅读 2016-10-27 01:27:54
    Ubuntu gcc 安装

    今天作死把ubuntu gcc给卸载了,按照网上的apt-get install build-essential一直报错 没有成功 索性就直接用 安装包安装了。我的Ubuntu是14.04版本的,gcc是4.8.2版本。上网查找 一直没有找到4.2.8版本的,有一个却没有下载地址 所以逼不得已 下载了一个4.8.4版本的,一安装各种的依赖文件版本不够高就开始报错了,所以有把依赖的所有文件给重装了一次。下面给出下载各种安装包的网站http://packages.ubuntu.com/trusty/gcc-4.8 里面不仅有gcc的安装包下载 还有各式各样的安装包以及源码下载, 而且各个安装包的依赖关系都明确注明,也可以下载安装,所以需要安装什么都可以在这里面找到。
    不多说了进去一看就知道资源有多丰富了!现在来说说gcc的安装。我把我要安装的文件全部都放在了我的/home/wl/Desktop/gcc下 如下图
    这里写图片描述

    root@ubuntu:/home/wl/Desktop/gcc# ll -h
    total 12M
    drwxr-xr-x 2 root root 4.0K Oct 26 23:29 ./
    drwxr-xr-x 3 wl   wl   4.0K Oct 26 22:28 ../
    -rw-r--r-- 1 root root 4.4M Oct 26 22:30 cpp-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root  16K Oct 26 22:36 gcc-4.8-base_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root 4.9M Oct 26 21:04 gcc-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root  62K Oct 26 23:12 libasan0_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root 8.5K Oct 26 23:11 libatomic1_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root 1.7M Oct 26 22:55 libgcc-4.8-dev_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root  23K Oct 26 23:06 libgomp1_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root  28K Oct 26 23:08 libitm1_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root 124K Oct 26 23:14 libquadmath0_4.8.4-2ubuntu1-14.04.3_amd64.deb
    -rw-r--r-- 1 root root  93K Oct 26 23:22 libtsan0_4.8.4-2ubuntu1-14.04.3_amd64.deb
    root@ubuntu:/home/wl/Desktop/gcc# 
    
    

    现在开始安装

    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/gcc-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../gcc-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking gcc-4.8 (4.8.4-2ubuntu1~14.04.3) over (4.8.4-2ubuntu1~14.04.3) ...
    dpkg: dependency problems prevent configuration of gcc-4.8:
     gcc-4.8 depends on cpp-4.8 (= 4.8.4-2ubuntu1~14.04.3); however:
      Version of cpp-4.8 on system is 4.8.2-19ubuntu1.
     gcc-4.8 depends on gcc-4.8-base (= 4.8.4-2ubuntu1~14.04.3); however:
      Version of gcc-4.8-base:amd64 on system is 4.8.2-19ubuntu1.
     gcc-4.8 depends on libgcc-4.8-dev (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libgcc-4.8-dev:amd64 on system is 4.8.2-19ubuntu1.
    
    dpkg: error processing package gcc-4.8 (--install):
     dependency problems - leaving unconfigured
    Processing triggers for man-db (2.6.7.1-1) ...
    Errors were encountered while processing:
     gcc-4.8
    root@ubuntu:/sys/dev# 
    

    报错 可以看到主要是cpp 、gcc-base 、libgcc 的版本低于gcc-4.8.4的版本要求 现在重新安装着3个依赖文件。先装 gcc-base 因为cpp 都依赖于他

    gcc-4.8-base_4.8.4-2ubuntu1-14.04.3_amd64.deb  gcc-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb       
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/gcc-4.8-base_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../gcc-4.8-base_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking gcc-4.8-base:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up gcc-4.8-base:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    root@ubuntu:/sys/dev# 
    

    ok 接着同样的安装剩余的两个 根据情况的不同 可能会出现不一样的依赖,要按照自己的实际情况安装

    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/cpp-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../cpp-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking cpp-4.8 (4.8.4-2ubuntu1~14.04.3) over (4.8.4-2ubuntu1~14.04.3) ...
    Setting up cpp-4.8 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for man-db (2.6.7.1-1) ...
    root@ubuntu:/sys/dev#
    

    成功 接着 libgcc

    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libgcc-4.8-dev_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libgcc-4.8-dev_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libgcc-4.8-dev:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    dpkg: dependency problems prevent configuration of libgcc-4.8-dev:amd64:
     libgcc-4.8-dev:amd64 depends on libgomp1 (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libgomp1:amd64 on system is 4.8.2-19ubuntu1.
     libgcc-4.8-dev:amd64 depends on libitm1 (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libitm1:amd64 on system is 4.8.2-19ubuntu1.
     libgcc-4.8-dev:amd64 depends on libatomic1 (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libatomic1:amd64 on system is 4.8.2-19ubuntu1.
     libgcc-4.8-dev:amd64 depends on libasan0 (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libasan0:amd64 on system is 4.8.2-19ubuntu1.
     libgcc-4.8-dev:amd64 depends on libtsan0 (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libtsan0:amd64 on system is 4.8.2-19ubuntu1.
     libgcc-4.8-dev:amd64 depends on libquadmath0 (>= 4.8.4-2ubuntu1~14.04.3); however:
      Version of libquadmath0:amd64 on system is 4.8.2-19ubuntu1.
    
    dpkg: error processing package libgcc-4.8-dev:amd64 (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     libgcc-4.8-dev:amd64
    root@ubuntu:/sys/dev#
    

    报错了,libgcc也需要安装依赖文件 libgomp1、libitm1 、libatomic1、libasan0 、libtsan0 、libquadmath0 。知道要安装哪些依赖文件事情就 好办了,直接一鼓作气全部安装

    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libgomp1_4.8.4-2ubuntu1-14.04.3_amd64.deb       
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libgomp1_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libgomp1:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up libgomp1:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for libc-bin (2.19-0ubuntu6) ...
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/lib                                       
    libgcc-4.8-dev_4.8.4-2ubuntu1-14.04.3_amd64.deb  libgomp1_4.8.4-2ubuntu1-14.04.3_amd64.deb        libitm1_4.8.4-2ubuntu1-14.04.3_amd64.deb
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libitm1_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libitm1_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libitm1:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up libitm1:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for libc-bin (2.19-0ubuntu6) ...
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libatomic1_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libatomic1_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libatomic1:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up libatomic1:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for libc-bin (2.19-0ubuntu6) ...
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libasan0_4.8.4-2ubuntu1-14.04.3_amd64.deb   
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libasan0_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libasan0:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up libasan0:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for libc-bin (2.19-0ubuntu6) ...
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libquadmath0_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libquadmath0_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libquadmath0:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up libquadmath0:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for libc-bin (2.19-0ubuntu6) ...
    root@ubuntu:/sys/dev#dpkg -i /home/wl/Desktop/gcc/libtsan0_4.8.4-2ubuntu1-14.04.3_amd64.deb       
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libtsan0_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libtsan0:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.2-19ubuntu1) ...
    Setting up libtsan0:amd64 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for libc-bin (2.19-0ubuntu6) ...
    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/libgcc-4.8-dev_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../libgcc-4.8-dev_4.8.4-2ubuntu1-14.04.3_amd64.deb ...
    Unpacking libgcc-4.8-dev:amd64 (4.8.4-2ubuntu1~14.04.3) over (4.8.4-2ubuntu1~14.04.3) ...
    Setting up libgcc-4.8-dev:amd64 (4.8.4-2ubuntu1~14.04.3) 
    root@ubuntu:/sys/dev# 
    

    成功!最后安装 gcc-4.8.4

    root@ubuntu:/sys/dev# dpkg -i /home/wl/Desktop/gcc/gcc-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    (Reading database ... 165202 files and directories currently installed.)
    Preparing to unpack .../gcc-4.8_4.8.4-2ubuntu1-14.04.3_amd64.deb 
    
    Unpacking gcc-4.8 (4.8.4-2ubuntu1~14.04.3) over (4.8.4-2ubuntu1~14.04.3) ...
    Setting up gcc-4.8 (4.8.4-2ubuntu1~14.04.3) ...
    Processing triggers for man-db (2.6.7.1-1) ...
    root@ubuntu:/sys/dev# 
    

    完成 查看gcc 版本

    root@ubuntu:/sys/dev# gcc -v
    Using built-in specs.
    COLLECT_GCC=gcc
    COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.8/lto-wrapper
    Target: x86_64-linux-gnu
    Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.8.4-2ubuntu1~14.04.3' --with-bugurl=file:///usr/share/doc/gcc-4.8/README.Bugs --enable-languages=c,c++,java,go,d,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.8 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.8 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --disable-libmudflap --enable-plugin --with-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-4.8-amd64 --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.8-amd64 --with-arch-directory=amd64 --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
    Thread model: posix
    gcc version 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04.3) 
    root@ubuntu:/sys/dev# `
    

    大功告成–注意gcc装成功了但是g++并未安装成功。关于g++的安装可以参考gcc的安装。在http://packages.ubuntu.com/trusty/gcc-4.8网站中也可以找到g++的安装包,关于g++的安装会在另一篇博客中详细介绍
    安装所需要的.dep文件压缩包下载地址

    展开全文
  • Linux 安装gcc

    千次阅读 2018-11-29 13:30:31
    在源码安装一些Linux功能是,需要使用gcc进行编译。于是需要事先安装gcc命令,如果不安装,会报类似下面的错误: ./trygcc: line 10: cc: command not found 安装gcc命令的方法: yum install gcc -y  ...

    在源码安装一些Linux功能是,需要使用gcc进行编译。于是需要事先安装gcc命令,如果不安装,会报类似下面的错误:

    ./trygcc: line 10: cc: command not found

    安装gcc命令的方法:

    yum install gcc -y

     

    展开全文
  • linux下安装gcc

    万次阅读 2010-11-25 23:11:00
    一、首先从GNU上下载GCC包,ftp://gcc.gnu.org/,我使用的是最新发布版本gcc-4.5.1.tat.gz,1) tar zxvf gcc-4.5.1.tar.gz2) cd gcc-4.5.13) ./congigure此时会出现这样的错误:  gcc configure: error: ...


    一、首先从GNU上下载GCC包,ftp://gcc.gnu.org/,我使用的是最新发布版本gcc-4.5.1.tat.gz,

    1)  tar zxvf gcc-4.5.1.tar.gz

    2)  cd gcc-4.5.1

    3) ./congigure

    此时会出现这样的错误:
                            gcc configure: error: Building GCC requires GMP 4.2+, MPFR 2.3.1+ and MPC 0.8.0+
            从错误中可以看出:GCC编译需要GMP, MPFR, MPC这三个库,我使用的版本为gmp-4.3.2,mpfr-2.4.2和mpc-0.8.1。这三个包从下面的地址下载:
    http://gmplib.org/,http://www.mpfr.org/,http://www.multiprecision.org/
     
     二、安装GMP时也出现了错误:
                                  No usable m4 in $PATH or /usr/5bin (see config.log for reasons).
            由此可以看出是缺少M4文件。可以去这里下载:http://ftp.gnu.org/gnu/m4/  。我这里下载了m4-1.4.1.tar.gz  
    1)  tar zxvf m4-1.4.1.tar.gz
    2)  cd m4-1.4.1
    3)  ./configure
    4)  make
    5)  make check(强烈建议检查,确保正确)
    6)  make install(需要root,建议在root中安装)


    三、有了M4就可以装别的了。由于MPFR和MPC都依赖于GMP包,所以首先安装GMP。
    1)tar jxvf gmp-4.3.2.tar.bz2
    2)cd gmp-4.3.2
    3)./configure
    4)make
    5)make check
    6)  make install

     

    四、安装MPFR
    1)  tar jxvf mpfr-2.4.2.tar.bz2
    2)  cd mpfr-2.4.2
    3)  ./configure --with-gmp-include=/usr/local/include --with-gmp-lib=/usr/local/lib
    4)  make
    5)  make check
    6)  make install

    五、安装MPC

    1)  tar zxvf mpc-0.8.1.tar.gz
    2)  cd mpc-0.8.1
    3)  ./configure --with-gmp-include=/usr/local/include --with-gmp-lib=/usr/local/lib
    4)  make
    5) ldconfig -v(出现:error while loading shared libraries: libmpfr.so.1: cannot open shared objec,可以自己去man ldd 和ldconfig)
    6) make check
    7)  make install


    六、这几个库的默认位置是/usr/local/include和/usr/local/lib,GCC编译时可能会找不到这三个库,需要确认库位置是否在环境变量LD_LIBRARY_PATH中,查看环境变量内容可以用命令
                    $echo $LD_LIBRARY_PATH
            设置该环境变量命令如下:
                    $export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/local/lib"
            现在开始安装GCC
    1) tar xvf gcc-4.5.1.tar.gz
    2) cd gcc-4.5.1
    3) ./configure
    4) make
    5) make check
    6) sudo make install

    经过较长时间(我等了近一个小时)等待就可以编译完成。

     

     

     

    展开全文
  • https://gcc.gnu.org/releases.html 比如,我一定要 gcc-4.4.7-16.el6.x86_64.rpm 难找

    https://gcc.gnu.org/releases.html

    http://rpm.pbone.net/index.php3?stat=3&search=gcc&srodzaj=3&dist[]=77


    比如,我一定要 gcc-4.4.7-16.el6.x86_64.rpm 难找

    http://rpm.pbone.net/index.php3/stat/4/idpl/30818691/dir/scientific_linux_6/com/gcc-4.4.7-16.el6.x86_64.rpm.html


    展开全文
  • GCC(GNU Compiler Collection,GNU编译器套件)

    千次阅读 多人点赞 2019-05-04 23:19:00
    GCC(GNU Compiler Collection,GNU编译器套件),是由GNU开发的编程语言编译器。 gcc主要软件包如下: 名称 功能描述 cpp C 预处理器 gcc C 编译器 g++ C++编译器 gccbug 创建BUG报告的Shell脚本 ...
  • ubuntu 安装gcc

    万次阅读 多人点赞 2018-03-26 16:04:35
    一定要记得先update,不然找不到gcc sudo apt-get update 然后输入下述命令即可 sudo apt-get install gcc
  • gcc安装

    万次阅读 2013-06-16 20:20:08
    准备工作 下载并解压gcc源码包 从http://ftp.gnu.org/gnu/gcc 下载一个你想要编译的gcc源码包。...安装所需的库 在使用./configure配置的时候,可能会遇到如下错误: configure: error: Building GCC r
  • 安装GCC

    千次阅读 2012-03-12 16:44:16
    在CentOS(版本是4.8)进行了手动安装 gcc 4.5.0,在安装的过程中遇到不少问题,下面具体说一下我的安装过程。   首先在配置gcc的过程中会出现错误:gcc configure: error: Building GCC requires GMP 4.2+, ...
  • linux查看是否已安装GCC安装GCC

    千次阅读 2016-10-08 17:32:00
    输入:gcc -v;如果提示未找到命令即表示没有安装 使用:yum install gcc即可  
  • Centos7 安装 gcc

    万次阅读 2020-03-20 11:28:10
    在使用 pip3 install pyltp 时,需要先安装gcc 安装: yum -y install gcc gcc-c++ autoconf pcre pcre-devel make automake
  • Centos 安装GCC 4.7

    千次阅读 2017-10-31 01:13:53
    这两天将服务器移植到Linux上,我自己装的是Ubuntu虚拟机,安装最新的GCC4.8,编译可以完成,但是在服务器上却报错,提示不能识别 -std=c++11。这是由于GCC版本过低导致的问题。然后我就 yum remove,yum install 想...
  • 卸载gcc并重新安装gcc

    万次阅读 2018-07-05 22:32:46
    背景:gcc -v检查版本,发现gcc不可用,yum安装gcc是显示已存在1.检查已安装gcc版本 rpm -q gcc2.卸载该版本 rpm -e gcc-4.8.5-28.el7.x86_643.安装的时候依然报错,原因是yum要下载gcc依赖的包,这些包也存在...
  • Ubuntu安装GCC5/GCC7/GCC9/GCC10

    千次阅读 2018-03-24 10:31:44
    为了使用C++14/17的新特性,我们难免要升级下自己的GCC版本,同时还要保证自己新安装GCC生效,并且和原GCC共存。 安装GCC-5.0 sudo add-apt-repository ppa:ubuntu-toolchain-r/test sudo apt-get update ...
  • windows安装gcc

    万次阅读 多人点赞 2019-03-15 14:21:09
    最近测试一下windows上vs编译和gcc编译的区别,同时比较ubuntu上gcc编译的却别,主要在内存上,做了一个小测试,现在写下安装gcc的过程。 下载     ~~~~  &...
  • linux安装gcc

    千次阅读 2019-04-18 19:57:32
    1、下载gcc源码 此处可以使用地址wget http://gcc.skazkaforyou.com/releases/gcc-4.9.1/gcc-4.9.1.tar.gz 或者wget ftp://ftp.gnu.org/gnu/gcc/gcc-4.8.5/gcc-4.8.5.tar.gz gcc官网上可以看到版本:...
  • Redhat 7.1 离线安装 gcc

    千次阅读 2017-04-17 23:54:28
    (亲测有效,亲测有效,亲测有效)按照顺序依次安装。...点我下载:gcc_rpm.tar.gzrpm -ivh lib64gmp3-4.3.1-1mdv2010.0.x86_64.rpm rpm -ivh ppl-0.10.2-11.el6.x86_64.rpm rpm -ivh cloog-ppl-0.15.
  • gcc2.95.3安装过程

    千次阅读 2011-03-25 15:31:00
    gcc2.95.3安装过程
  • yum安装gcc

    万次阅读 2019-09-15 10:45:13
    如果服务器是自己的,并且机器就在身边,那什么都不用说了,缺少gcc顶多就是重新放入安装盘,把开发工具包安装上。但是如果是租的服务器,托管服务 方那帮人又搞不懂你说的啥子gcc,要安装gcc实在是太麻烦了。你得去...
  • VirtualBox Ubuntu增强功能安装gcc 安装

    千次阅读 多人点赞 2018-12-12 16:32:00
    VirtualBox Ubuntu 增强功能安装gcc 安装安装步骤安装遇到的问题1.install the gcc make perl packages2.Unable to lock the administration directory 安装环境 ubuntu-18.04 VirtualBox-5.2.22 安装步骤 1...
  • CentOS安装gcc

    千次阅读 2017-03-17 11:31:20
    Centos支持yum安装,安装软件一般格式为yum install .......,注意安装时要先成为root用户。...实际操作过程发现,只能有gcc安装成功,而g++安装失败,提示g++ command not found。上网查了一下,正确安装应
  • Ubuntu 安装 gcc-4.8

    千次阅读 2013-07-12 22:56:06
    add-apt-repository ppa:ubuntu-toolchain-r/test apt-get update apt-get install gcc-4.8 g++-4.8
  • rpm安装gcc

    千次阅读 2019-07-08 10:10:53
    使用原始安装介质, 操作系统为Red Hat Enterprise Linux Server release 7.4 (Maipo) rpm -ivh \ gcc-4.8.5-16.el7.x86_64.rpm \ cpp-4.8.5-16.el7.x86_64.rpm \ glibc-devel-2.17-196.el7.x86_64.rpm \...
  • linux安装GCC

    万次阅读 2017-10-25 15:21:51
    CentOS 6.6 升级GCC G++ (当前最新GCC/G++版本为v6.1.0) 没有便捷方式, yum update.... yum install  或者 添加yum 的 repo 文件 也不行, 只能更新到 4.4.7! then, 只能手动编译安装了,那么开始第一步...
  • centos安装gcc

    千次阅读 2010-11-03 14:55:00
    个人环境:centos5.3,vmware 原因:起初在虚拟机里安centos时没有安装gcc,现在安ns2时需要用到gcc。所以又安了一下。 步骤:  (1)打开vmware,菜单里 虚拟机-设置,在“硬件”标签下点击...
  • 安装多个gcc

    千次阅读 2012-12-07 18:47:08
    删除gcc#yum remove gcc安装最新的#yum install gcc 查找gcc源可先通过“yum list compat-gcc*”查看版本,然后再利用“yum install compat-gccXXX”安装#yum list compat-gcc*#sudo yum install compat-gcc-34.i...
  • 安装gcc7.1.0

    千次阅读 2019-11-30 19:52:06
    安装gcc7.1.0】 【1】 http://ftp.gnu.org/gnu/gcc/gcc-7.1.0/ 下载gcc7.1.0 【2】cd gcc-7.1.0   执行脚本./contrib/download_prerequisites【该脚本虽然没“显示”,但可以执行】 这个脚本会帮我们下载、...
  • gcc 安装详解

    万次阅读 2013-03-08 21:44:59
    对于刚接触linux的人来说安装gcc真不是那么简单的事,尤其是对configure命令不熟悉的那更是一个惨,  以前也有安装顺利的时候,只要 configure、 make、 make install 一切顺利,不顺利的时候,报错:少这个少那个 ...

空空如也

1 2 3 4 5 ... 20
收藏数 144,575
精华内容 57,830
关键字:

gcc